Bug 75617 - RFE: on kickstart (network) prompt for IP information if DHCP fails
RFE: on kickstart (network) prompt for IP information if DHCP fails
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-10 07:26 EDT by Patrick C. F. Ernzer
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-20 17:16:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2002-10-10 07:26:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
Currently we require a DHCP server to be present if a kickstart file is to be
loaded off the network. It would be useful if we could prompt for IP information
in case DHCP fails

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. be on a network without a DHCP server
2. boot from bootnet with ks=http://<server>/<path>
3. no DHCP response is given

Actual Results:  we go into normal anaconda mode (i.e. starting with language

Expected Results:  only prompt for IP information, attempt to get kickstart file
with that info and only go into normal anaconda mode if we fail to get kickstart
file based on the given IP info

Additional info:
Comment 1 Michael Fulbright 2002-10-23 11:34:01 EDT
Thanks for the suggestion we'll see where we can work it into our schedule.
Comment 2 Michael Fulbright 2003-01-31 13:05:23 EST
Should just work now.
Comment 3 Patrick C. F. Ernzer 2003-01-31 13:33:13 EST

can you please post the version number that implements this so that I can notify
the customer?


Comment 5 Patrick C. F. Ernzer 2004-02-20 13:35:48 EST
I am going through old bugs at the moment.

Feel free to close this. (I was moved from GSS to GPS since comment #3
and have no contact with the customer. IIRC it was an eval customer

Comment 6 Suzanne Hillman 2004-02-20 17:16:27 EST
Closing as per comment #5.

Note You need to log in before you can comment on or make changes to this bug.